MTREE_CHILD(3)

NAME
mtree_child - return node number of first child node

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/mtree.h>

size_t mtree_child(mtree_t *tree, size_t node);

Compile and link with -llibrecast.

DESCRIPTION
The mtree_nnode function returns the node number of the first child of node in tree.

Nodes are numbered from 0 = root.

RETURN VALUE
mtree_child() returns the number of the first child node, or 0 if none.

ERRORS
None.

SEE ALSO
mtree_init(3), mtree_free(3), mtree_build(3)